List a project's deployments
List a project's deployments, most recent first. Use `environment` to keep only the production ones — the deployments that answer "what is live right now?". Use it to find what is deployed for a project, or the address of a deployment.
List a project's deployments, most recent first. Use environment to keep only the production ones — the deployments that answer "what is live right now?". Use it to find what is deployed for a project, or the address of a deployment.
Authenticate as a project with a project token.
Send it as a bearer token in the Authorization header:
Authorization: Bearer <project-token>You can find your project token in your Snapvisor project settings. Project tokens are used by CI and the SDK to create builds and deployments.
In: header
Path Parameters
1 <= length1 <= lengthQuery Parameters
Number of items per page (max 100)
Page number
Restrict to one environment.
Value in
- "preview"
- "production"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/projects/string/string/deployments"{ "pageInfo": { "total": 0, "page": 0, "perPage": 0 }, "results": [ { "id": "string", "status": "pending", "environment": "preview", "branch": "string", "commitSha": "string", "url": "http://example.com", "createdAt": "string" } ]}Resolve a deployment domain GET
Resolve a deployment domain or URL to the deployment it currently serves. This endpoint is public and does not require authentication.
Get a project's deployment domain GET
Retrieve the domain the project's production deployments are served on. Use it to find the address a project's production deployments are served on.